
import java.util.*;


public class Par implements Map.Entry, Comparable {
    Object kljuc, vrednost;

    Par(Object k, Object v) {
        kljuc = k;
        vrednost = v;
    }

    public Object getKey() {
        return kljuc;
    }

    public Object getValue() {
        return vrednost;
    }

    public Object setValue(Object v) {
        Object stara = vrednost;

        vrednost = v;
        return stara;
    }

    public boolean equals(Object o) {
        return (kljuc == null)
                ? (o == null)
                : ((o == null) ? false : kljuc.equals(((Par) o).kljuc));
    }
	
    public int hashCode() {
        return (kljuc == null) ? 0 : kljuc.hashCode();
    }

    public int compareTo(Object drugi) {
        return (kljuc == null)
                ? ((drugi == null) ? 0 : -1)
                : ((drugi == null)
                        ? 1
                        : ((Comparable) kljuc).compareTo(((Par) drugi).kljuc));
    }
}

