
import java.util.GregorianCalendar;


public class Glavna {
    public static void main(String[] args) {
        GlupaHashMapa hm = new GlupaHashMapa();

        hm.put(new Integer(17717117), new Integer(18));
        hm.put("adresa", "Pere Perica 12");
        hm.put("pi", new Float(3.14));
        hm.put(new Integer(1100), "Beograd");
        hm.put(new Float(99.4), "% slicnosti gena simpanze i coveka");
        hm.put(null, "bla");
        hm.put(new Integer(36350), "036");

        GregorianCalendar vreme = new GregorianCalendar();

        hm.put(vreme, "Kako vreme brzo tece");
        System.out.println(hm);
        System.out.println("\nbroj parova u mapi je: " + hm.size());
        System.out.println("da li je mapa prazna? " + hm.isEmpty());
        System.out.println("da li mapa sadrzi kljuc 99.4? "
                + hm.containsKey(new Float(99.4)));
        System.out.println(hm.statistikaKolizija());

        System.out.println("Brisem vreme " + hm.remove(vreme));
        System.out.println("Brisem null " + hm.remove(null));
        System.out.println("Brisem pi " + hm.remove("pi"));
        System.out.println("Brisem 99.44 " + hm.remove(new Float(99.4)));

        System.out.println("Adresa je: " + hm.get("adresa"));
        System.out.println("Pi je: " + hm.get("pi"));

        System.out.println("\nSada hash mapa izgleda ovako:\n");
        System.out.println(hm);

        hm.clear();
        System.out.println("\nPosle clear():\n" + hm);
    }
}

